[tracking][meta] Migrate subdialogs to Fluent

RESOLVED FIXED

Status

()

enhancement
RESOLVED FIXED
a year ago
11 months ago

People

(Reporter: gandalf, Unassigned)

Tracking

(Depends on 1 bug, Blocks 1 bug, {meta})

Firefox Tracking Flags

(Not tracked)

Details

This is a subset of work for bug 1415730. There are ~30 files in the subdialogs directory, not all of them have to be migrated.

I'll split the work into multiple subbugs of this one, trying to create a reasonable chunks of patchsets.

I'll initially focus on migrating DTD which is fairly complicated since a lot of the DTD files are used both in the subdialog and in the in-content preferences.xul. On top of that, some of those files are used outside of preferences, even in toolkit!

The .properties files that I encountered are either simple and I'll fold them, or use one of the two features I'd like to enable first before I switch them to Fluent - bug 1449505 and bug 1415813 - and in that case I'll postpone it and migrate them separately later.
(Reporter)

Updated

a year ago
Blocks: 1415730
(Reporter)

Updated

a year ago
Depends on: 1451992
(Reporter)

Updated

a year ago
Depends on: 1457021

Comment 1

11 months ago
Can this be closed out or is there more work left here?
Flags: needinfo?(gandalf)

Updated

11 months ago
Summary: [tracking] Migrate subdialogs to Fluent → [tracking][meta] Migrate subdialogs to Fluent
(Reporter)

Comment 2

11 months ago
And it's now done! I'll file a separate bug for the remaining permissions.js use case that depends on <tree> bindings refactor
Status: NEW → RESOLVED
Last Resolved: 11 months ago
Flags: needinfo?(gandalf)
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.